Bug 3015 - nvidia-additional-settinings was added [NEW PACKAGE]
: nvidia-additional-settinings was added [NEW PACKAGE]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 3105
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 10:05 MSK by Alexander Burmashev
Modified: 2014-03-25 10:45 MSK (History)
3 users (show)

See Also:
RPM Package: nvidia-additional-settinings
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-10-30 10:05:50 MSK
nvidia-additional-settinings was added
Comment 1 Alexander Burmashev 2013-10-30 10:08:53 MSK
Advisory:
sometimes KDE users experience tearing, using proprietary nvidia drivers. So all proprietary drivers were patched to suggest nvidia-additional-settings package that should export 
export __GL_YIELD="USLEEP"
and workaround tearing issue

References:
https://bugs.kde.org/show_bug.cgi?id=322060


Buildlists:
nvidia-long-lived
https://abf.rosalinux.ru/build_lists/1374648
https://abf.rosalinux.ru/build_lists/1374647

nvidia-current
https://abf.rosalinux.ru/build_lists/1374651
https://abf.rosalinux.ru/build_lists/1374652

nvidia173
https://abf.rosalinux.ru/build_lists/1374649
https://abf.rosalinux.ru/build_lists/1374650
Comment 2 Alexander Burmashev 2013-11-05 18:21:09 MSK
It would be cool to test this package soon, because we plan major X update to happen shortly.
Comment 3 Andrey Bondrov 2013-11-05 18:21:54 MSK
Please check this package ASAP, it's important to publish it.
Comment 4 Vladimir Potapov 2013-11-06 17:07:40 MSK
(In reply to comment #3)
> Please check this package ASAP, it's important to publish it.
For urgent packages need to set the highest "red" priority (for better view in list)
Comment 5 Vladimir Potapov 2013-11-06 19:25:50 MSK
x11-driver-video-nvidia-current-325.15-4-rosa2012.1
****************** Advisory ****************
sometimes KDE users experience tearing, using proprietary nvidia drivers. So all proprietary drivers were patched to suggest nvidia-additional-settings package that should export 
export __GL_YIELD="USLEEP"
and workaround tearing issue
*********************************************
QA Verified
Comment 6 Vladimir Potapov 2013-11-06 19:26:25 MSK
(In reply to comment #1)
> Advisory:
> sometimes KDE users experience tearing, using proprietary nvidia drivers. So
> all proprietary drivers were patched to suggest nvidia-additional-settings
> package that should export 
> export __GL_YIELD="USLEEP"
> and workaround tearing issue
> 
> References:
> https://bugs.kde.org/show_bug.cgi?id=322060
> 
> 
> Buildlists:
> nvidia-long-lived
> https://abf.rosalinux.ru/build_lists/1374648
> https://abf.rosalinux.ru/build_lists/1374647

> nvidia173
> https://abf.rosalinux.ru/build_lists/1374649
> https://abf.rosalinux.ru/build_lists/1374650
The update route to extended testing
Comment 7 Postnikov Dmitry 2013-11-08 11:16:39 MSK
***********************
Extended testing report
***********************
nvidia173

The loading is successful, the native resolution, and it works quickly and smoothly.
But no nvidia-additional-settinings no. The SW is not even the Nvidia control panel

After another reboot, the system refused to boot. Here are the logs:

dmesg - http://cdn.2safe.com/304890033758/dmesg

syslog - http://cdn.2safe.com/304892033758/syslog

Xorg.0.log - http://cdn.2safe.com/304886033758/Xorg.0.log

xorg.conf - https://www.2safe.com/web/304888033758/xorg.conf
Comment 8 Vladimir Potapov 2013-11-08 11:32:35 MSK
x11-driver-video-nvidia-long-lived-304.108-2-rosa2012.1
************************* Advisory *********************
sometimes KDE users experience tearing, using proprietary nvidia drivers. So all proprietary drivers were patched to suggest nvidia-additional-settings package that should export 
export __GL_YIELD="USLEEP"
and workaround tearing issue
*********************************************************
QA Verified
Comment 9 Vladimir Potapov 2013-11-08 11:33:56 MSK
x11-driver-video-nvidia-long-lived-304.108-2-rosa2012.1
> ***********************
> Extended testing report
> ***********************
> nvidia173
> 
> The loading is successful, the native resolution, and it works quickly and
> smoothly.
> But no nvidia-additional-settinings no. The SW is not even the Nvidia
> control panel
> 
> After another reboot, the system refused to boot. Here are the logs:
> 
> dmesg - http://cdn.2safe.com/304890033758/dmesg
> 
> syslog - http://cdn.2safe.com/304892033758/syslog
> 
> Xorg.0.log - http://cdn.2safe.com/304886033758/Xorg.0.log
> 
> xorg.conf - https://www.2safe.com/web/304888033758/xorg.conf
*********************
QA Denied
Comment 10 Vladimir Potapov 2013-11-08 11:36:30 MSK
Nex time, please, create three separate requests to QA.
Comment 11 Postnikov Dmitry 2013-11-08 11:52:16 MSK
(In reply to comment #9)
> x11-driver-video-nvidia-long-lived-304.108-2-rosa2012.1
> > ***********************
> > Extended testing report
> > ***********************
> > nvidia173
> > 
> > The loading is successful, the native resolution, and it works quickly and
> > smoothly.
> > But no nvidia-additional-settinings no. The SW is not even the Nvidia
> > control panel
> > 
> > After another reboot, the system refused to boot. Here are the logs:
> > 
> > dmesg - http://cdn.2safe.com/304890033758/dmesg
> > 
> > syslog - http://cdn.2safe.com/304892033758/syslog
> > 
> > Xorg.0.log - http://cdn.2safe.com/304886033758/Xorg.0.log
> > 
> > xorg.conf - https://www.2safe.com/web/304888033758/xorg.conf
> *********************
> QA Denied

NVIDIA173!!!!
Comment 12 Vladimir Potapov 2013-11-08 11:53:33 MSK
(In reply to comment #11)
> (In reply to comment #9)
> > x11-driver-video-nvidia-long-lived-304.108-2-rosa2012.1
> > > ***********************
> > > Extended testing report
> > > ***********************
> > > nvidia173
> > > 
> > > The loading is successful, the native resolution, and it works quickly and
> > > smoothly.
> > > But no nvidia-additional-settinings no. The SW is not even the Nvidia
> > > control panel
> > > 
> > > After another reboot, the system refused to boot. Here are the logs:
> > > 
> > > dmesg - http://cdn.2safe.com/304890033758/dmesg
> > > 
> > > syslog - http://cdn.2safe.com/304892033758/syslog
> > > 
> > > Xorg.0.log - http://cdn.2safe.com/304886033758/Xorg.0.log
> > > 
> > > xorg.conf - https://www.2safe.com/web/304888033758/xorg.conf
> > *********************
> > QA Denied
> 
> NVIDIA173!!!!
Ok, fixed.